require File.expand_path(File.dirname(__FILE__) + '/spec_helper')
require 'pry'

describe MemeMe do
  it "has a map of meme images" do
    MemeMe.images.should == {
      yes: File.join(IMAGES_PATH, "yes.jpg"),
      fry: File.join(IMAGES_PATH, "fry.jpg"),
      joe: File.join(IMAGES_PATH, "joe.jpg"),
      clarity: File.join(IMAGES_PATH, "clarity.jpg"),
      fwp: File.join(IMAGES_PATH, "fwp.png")
    }
  end

  it "has a map of fonts" do
    expect(MemeMe.fonts).to eq({ impact: File.join(LIB_PATH, 'mememe', 'fonts', 'impact.ttf') })
  end

  it "has a map of memes" do
    expect(MemeMe.memes).to eq({
      joe_meme: "/Volumes/Storage/Development/mememe/lib/mememe/memes/joe_meme.rb",
      fry_meme: "/Volumes/Storage/Development/mememe/lib/mememe/memes/fry_meme.rb"
    })
  end

  it "can require all the installed memes" do
    MemeMe::require_memes
    expect(JoeMeme).not_to be_nil
    expect(FryMeme).not_to be_nil
  end

  it "has a map of all installed memes" do
    MemeMe::require_memes
    expect(MemeMe::installed_memes[:fry]).to eq(FryMeme)
  end
end
